package cn.yw.ywuserrolerelation.bean;

import cn.base.bean.BaseBean;
//[运维用户权限关联表]

public class YwuserrolerelationBean extends BaseBean implements java.io.Serializable {
	private String relationid;//[关联id]
	private String usernum;//[用户编号]
	private int isadministrator;//[是否管理员]
	private String useraccount;//[用户账号]
	private int seealarmauthory;//[查看告警权限]
	private int receivealarmsms;//[接收告警短信]
	private int isapprovalauthory;//[工单审批权限]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setRelationid(String relationid){
		this.relationid = relationid;
	}
	public String getRelationid(){
		return relationid;
	}
	public void setUsernum(String usernum){
		this.usernum = usernum;
	}
	public String getUsernum(){
		return usernum;
	}
	public void setIsadministrator(int isadministrator){
		this.isadministrator = isadministrator;
	}
	public int getIsadministrator(){
		return isadministrator;
	}
	public void setUseraccount(String useraccount){
		this.useraccount = useraccount;
	}
	public String getUseraccount(){
		return useraccount;
	}
	public void setSeealarmauthory(int seealarmauthory){
		this.seealarmauthory = seealarmauthory;
	}
	public int getSeealarmauthory(){
		return seealarmauthory;
	}
	public void setReceivealarmsms(int receivealarmsms){
		this.receivealarmsms = receivealarmsms;
	}
	public int getReceivealarmsms(){
		return receivealarmsms;
	}
	public void setIsapprovalauthory(int isapprovalauthory){
		this.isapprovalauthory = isapprovalauthory;
	}
	public int getIsapprovalauthory(){
		return isapprovalauthory;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}